package org.rcisoft.sys.sysuser.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.sysuser.dto.ExportUserDTO;
import org.rcisoft.sys.sysuser.entity.SysUser;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.tencent.dto.UserDto;
import org.springframework.security.core.userdetails.User;

import java.util.List;

/**
 * Created with cy on 2022年11月16日 下午3:19:19.
 */
@Mapper
public interface SysUserRepositorys extends CyBaseMapper<SysUser> {


    List<SysUser> querySysUsers(@Param("entity") SysUser sysUser);

    List querySysUsersByPhones(String phone);

    //新增dto
    public int addSysUser(ExportUserDTO exportUserDTO);

    //新增
    public int addSysUsers(SysUser sysUser);

    //逻辑删除
    public int delSysUser(Long business_id);

    //更新
    public int updateSysUser(@Param("entity") SysUser sysUser);

    //单个查询
    SysUser querySysUsersById(Integer business_id);

    //单个查询 通过PersonId
    SysUser querySysUserByPersonId(String personId);

    //单个查询
    SysUser querySysUsersByUname(@Param("username") String username);

    UserDto selectByUserId(Integer businessId);

    List<SysUser> querySysUsersByName(String name);

    List<SysUser> querySysUsersByPhone(String phone);

    List<SysUser> querySysUsersByPhoneOUt(@Param("phone") String phone, @Param("userId") Integer userId);

    List<SysUser> querySysUsersByUserName(String username);

    List<SysUser> querySysUsersByDId(Integer businessId);

    /**
     * 分页查询 sysUser
     */
    IPage<SysUser> querySysUsersPaged(CyPageInfo cyPageInfo, @Param("entity") SysUser sysUser);

    public int saveJieLinkPersionId(@Param("entity") SysUser userData);

    public String getPersionIdByUserId(@Param("userId") Integer userId);

    SysUser querySysUsersByPersonId(@Param("personId") String personId);

    IPage<SysUser> querySysUsersByFenZhi2(CyPageInfo cyPageInfo, @Param("entity") SysUser sysUser);

    List<SysUser> getUserList();

    SysUser getUserById(Integer business_id);

    List<UserDto> selectByOpenid(String wxOpenid);

    List<UserDto> selectByPhone(String phone);

    //微信根据手机号查询用户
    List<UserDto> selectByPhoneWx(String phone);

    //微信根据openid查询用户
    List<UserDto> selectByOpenidWx(String wxOpenid);
}

